package es.prodevelop.android.common.preferences;

import java.util.Map;

import android.content.Context;
import android.content.SharedPreferences;

/**
 * Utility class to get values from a shared preferences file
 * 
 * @author aromeu
 * 
 */
public class PreferenceReader {

	private Context mContext;
	private String mSharedPreferencesName;

	private SharedPreferences mPreferences;

	public PreferenceReader(Context aContext, String aSharedPreferencesName) {
		this.mContext = aContext;
		this.mSharedPreferencesName = aSharedPreferencesName;

		this.mPreferences = mContext.getSharedPreferences(
				mSharedPreferencesName, Context.MODE_WORLD_READABLE);
	}

	public boolean contains(String key) {
		return mPreferences.contains(key);
	}

	public Map getAll() {
		return mPreferences.getAll();
	}

	public boolean getBoolean(String key, boolean defaultValue) {
		return mPreferences.getBoolean(key, defaultValue);
	}

	public float getFloat(String key, float defaultValue) {
		return mPreferences.getFloat(key, defaultValue);
	}

	public int getInt(String key, int defaultValue) {
		return mPreferences.getInt(key, defaultValue);
	}

	public long getLong(String key, long defaultValue) {
		return mPreferences.getLong(key, defaultValue);
	}

	public String getString(String key, String defaultValue) {
		return mPreferences.getString(key, defaultValue);
	}
}
