package es.prodevelop.android.common.preferences.offlinemaps;

import java.io.File;

import android.os.Environment;

/**
 * Tags to use for store values in the shared preferences file
 * 
 * @author aromeu
 * 
 */
public class OfflineMapsPreferenceTags {

	/**
	 * The shared preferences file name for all offline data
	 */
	public final static String SHARED_PREFERENCES_NAME = "es.prodevelop.offlinemaps";

	/**
	 * Tag to store an OFFLINE_MAP string
	 */
	public final static String OFFLINE_MAP = "OFFLINE_MAP";

	/**
	 * Tag to store the number of OFFLINE_MAPS in the preferences file
	 */
	public final static String NUM_OFFLINE_MAPS = "NUM_OFFLINE_MAPS";

	/**
	 * Tag to store the a downloaded jar
	 */
	public final static String JAR_DOWNLOADED = "JAR_DOWNLOADED";

	/**
	 * Tag to store the an extracted jar
	 */
	public final static String JAR_EXTRACTED = "JAR_EXTRACTED";

	public final static String LEVEL_VERSION = "LEVEL_VERSION";

	public final static String NUM_JAR_DOWNLOADED = "NUM_JAR_DOWNLOADED";

	public final static String NUM_JAR_EXTRACTED = "NUM_JAR_EXTRACTED";

	public final static String POI_PACK_DOWNLOADED = "POI_PACK_DOWNLOADED";

	public final static String OFFLINE_MAPS_DIR = Environment
			.getExternalStorageDirectory().getPath()
			+ File.separator
			+ "gvSIG"
			+ File.separator + "offline" + File.separator;

	public final static String OFFLINE_MAPS_FILE = "offline_maps.txt";

}
